DtCreatePrintSetupDialog(library call)

NAME
DtCreatePrintSetupDialog — creates an instance of a dialog containing a DtPrintSetupBox widget

SYNOPSIS

#include &<Print.h>
Widget DtCreatePrintSetupDialog(
Widget parent,
const String name,
ArgList arglist,
Cardinal argcount);

DESCRIPTION

DtCreatePrintSetupDialog is a convenience function that creates a DialogShell and an unmanaged DtPrintSetupBox child of the DialogShell. Use XtManageChild to pop up the print set up dialog (passing the DtPrintSetupBox as the widget parameter); use XtUnmanageChild to pop it down.

ARGUMENTS

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in arglist.

RETURN VALUE

If DtCreatePrintSetupDialog completes successfully, it returns the DtPrintSetupBox widget ID. If it fails, it returns NULL.

ENVIRONMENT VARIABLES

None.

RESOURCES

None.

ACTIONS/MESSAGES

None.

ERRORS/WARNINGS

None.

EXAMPLES

None.

FILES

None.

SEE ALSO

DtPrintSetupBox(3), DtCreatePrintSetupDialog(3)